## hscolour 1.8

=== Makefile ===
LIBRARY	= hscolour
VERSION	= 1.8

DIRS	= Language/Haskell/HsColour

SRCS	= Language/Haskell/HsColour.hs \
	  Language/Haskell/HsColour/General.hs \
	  Language/Haskell/HsColour/ANSI.hs \
	  Language/Haskell/HsColour/Anchors.hs \
	  Language/Haskell/HsColour/CSS.hs \
	  Language/Haskell/HsColour/Classify.hs \
	  Language/Haskell/HsColour/ColourHighlight.hs \
	  Language/Haskell/HsColour/Colourise.hs \
	  Language/Haskell/HsColour/HTML.hs \
	  Language/Haskell/HsColour/LaTeX.hs \
	  Language/Haskell/HsColour/TTY.hs

AUX	= README LICENCE* $(LIBRARY).cabal Setup.hs Makefile \
	  HsColour.hs hscolour.css .hscolour \
	  index.html docs/*

#all: $(LIBRARY)
executable: $(SRCS) HsColour.hs
	ghc --make -o $(LIBRARY) HsColour
package:
	tar cf tmp.tar $(SRCS) $(AUX)
	mkdir $(LIBRARY)-$(VERSION)
	cd $(LIBRARY)-$(VERSION); tar xf ../tmp.tar
	tar zcf $(LIBRARY)-$(VERSION).tar.gz $(LIBRARY)-$(VERSION)
	zip -r $(LIBRARY)-$(VERSION).zip $(LIBRARY)-$(VERSION)
	rm -r tmp.tar $(LIBRARY)-$(VERSION)
haddock: $(SRCS)
	mkdir -p docs/$(LIBRARY)
	for dir in $(DIRS); do mkdir -p docs/$(LIBRARY)/$$dir; done
	for file in $(SRCS); \
	    do ./HsColour -html -anchor $$file \
	          >docs/$(LIBRARY)/`dirname $$file`/`basename $$file .hs`.html;\
	    done
	haddock --html --title=$(LIBRARY) --odir=docs/$(LIBRARY) \
	    --package=$(LIBRARY) \
	    --source-module="%{MODULE/.//}.html" \
	    --source-entity="%{MODULE/.//}.html#%{NAME}" \
	    $(SRCS)

$(LIBRARY): $(SRCS)
	$(HC) $(HFLAGS) $(HEAP) -o $@  $(SRCS)
	$(STRIP) $@

## hscolour 1.13

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY	= hscolour
-VERSION	= 1.8
+VERSION	= 1.13
 
 DIRS	= Language/Haskell/HsColour
 
@@ -12,16 +12,22 @@
 	  Language/Haskell/HsColour/ColourHighlight.hs \
 	  Language/Haskell/HsColour/Colourise.hs \
 	  Language/Haskell/HsColour/HTML.hs \
+	  Language/Haskell/HsColour/InlineCSS.hs \
 	  Language/Haskell/HsColour/LaTeX.hs \
-	  Language/Haskell/HsColour/TTY.hs
+	  Language/Haskell/HsColour/TTY.hs \
+	  Language/Haskell/HsColour/MIRC.hs \
+	  Language/Haskell/HsColour/Output.hs \
+	  Language/Haskell/HsColour/Options.hs
 
 AUX	= README LICENCE* $(LIBRARY).cabal Setup.hs Makefile \
 	  HsColour.hs hscolour.css .hscolour \
 	  index.html docs/*
 
+GHC     = ghc
+
 #all: $(LIBRARY)
 executable: $(SRCS) HsColour.hs
-	ghc --make -o $(LIBRARY) HsColour
+	$(GHC) --make -o $(LIBRARY) HsColour
 package:
 	tar cf tmp.tar $(SRCS) $(AUX)
 	mkdir $(LIBRARY)-$(VERSION)
@@ -33,7 +39,7 @@
 	mkdir -p docs/$(LIBRARY)
 	for dir in $(DIRS); do mkdir -p docs/$(LIBRARY)/$$dir; done
 	for file in $(SRCS); \
-	    do ./HsColour -html -anchor $$file \
+	    do ./$(LIBRARY) -html -anchor $$file \
 	          >docs/$(LIBRARY)/`dirname $$file`/`basename $$file .hs`.html;\
 	    done
 	haddock --html --title=$(LIBRARY) --odir=docs/$(LIBRARY) \
@@ -42,6 +48,23 @@
 	    --source-entity="%{MODULE/.//}.html#%{NAME}" \
 	    $(SRCS)
 
-$(LIBRARY): $(SRCS)
-	$(HC) $(HFLAGS) $(HEAP) -o $@  $(SRCS)
-	$(STRIP) $@
+#$(LIBRARY): $(SRCS)
+#	$(HC) $(HFLAGS) $(HEAP) -o $@  $(SRCS)
+#	$(STRIP) $@
+
+docs: haddock
+
+install:
+	install -D $(LIBRARY) $(DESTDIR)/usr/bin/$(LIBRARY)
+	install -D $(LIBRARY).css $(DESTDIR)/usr/share/doc/$(LIBRARY)/examples/$(LIBRARY).css
+
+install-docs:
+	install -D index.html $(DESTDIR)/usr/share/doc/$(LIBRARY)/index.html
+	cp -a docs/$(LIBRARY)/Language/Haskell/* $(DESTDIR)/usr/share/doc/$(LIBRARY)/
+
+clean:
+	rm -f $(DIRS)/*.o $(DIRS)/*.hi
+	rm -f Language/Haskell/HsColour.o Language/Haskell/HsColour.hi
+	rm -f *.o *.hi
+	rm -f $(LIBRARY)
+	rm -rf docs

## hscolour 1.16

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 LIBRARY	= hscolour
-VERSION	= 1.13
+VERSION	= 1.16
 
 DIRS	= Language/Haskell/HsColour

=== debian/changelog ===
hscolour (1.16-1) unstable; urgency=low

  * New upstream version.
  * Split Build-Depends in Build-Depends-Indep.
  * debian/source/format: Use 3.0 (quilt).

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 21 Feb 2010 08:55:53 -0300

hscolour (1.15-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Vcs-Darcs: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use debian/compat 7.
  * debian/control: Use more sintetic link in Homepage:.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 18:21:37 +0100

hscolour (1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Update haskell-devscripts version dependency.
    - Do not suggest non-existant hscolour-doc. Closes: #541768.
    - Move Build-Depends-Indep entries to Build-Depends.
    - Clean up Depends/Recommends/Suggests.
    - Standards-Version 3.8.3.
  * Add doc-base registration for libghc6-hscolour-doc.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  7 Sep 2009 20:24:16 +1000

hscolour (1.13-1) unstable; urgency=low

  * New upstream release. Closes: #469801.
  * Provide a man page for HsColour binary. Closes: #515651.
  * debian/control:
    - Standards version 3.8.2.
    - Section haskell.
    - Set maintainer to Debian Haskell Group. Previous maintainer put it up
      for adoption on debian-haskell mailing list. Thanks Ian.
    - Add myself to Uploaders.
    - Remove irrelevant section of Description.
    - Add libghc6-hscolour-(dev|prof|doc) Binary package outputs.
  * debian/rules:
    - Replace debhelper with haskell-devscripts build including a special hack
      to generate colourised docs for libghc6-hscolour-doc with the just built
      HsColour.
  * debian/compat version 5.
  * Add debian/watch file which points at hackage.haskell.org.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 12 Jul 2009 16:28:01 +1000

hscolour (1.8-1) unstable; urgency=low

  * Initial release.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 15 May 2007 14:12:53 +0000

=== debian/control ===
Source: hscolour
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7),
 cdbs,
 haskell-devscripts (>= 0.7),
 ghc6,
 ghc6-prof
Build-Depends-Indep: ghc6-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/hscolour
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hscolour
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hscolour

Package: hscolour
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Haskell program to colourise Haskell code
 .
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.

Package: libghc6-hscolour-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}, drift (>= 2.2.0)
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: GHC6 libraries for colourising Haskell code
 .
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hscolour-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Profiling libraries for colourising Haskell code
 .
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hscolour-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for libghc6-hscolour-dev
 .
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 This package contains the library documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell binary.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_BUILD_DEPENDENCIES = build-arch

# In order to generated colourised HTML for the libghc6-hscolour-doc package
# we need a special hack because the colour docs are generated by an executable
# create by this package and we don't want this package to depend on itself.

pwd := $(shell pwd)

# Modify the GHC6 configure parameters to point to a local version of
# HsColour.
DEB_SETUP_GHC6_CONFIGURE_ARGS += --with-hscolour=$(pwd)/hscolour-wrapper

# Generate a fake version of the executable (a trivial shell script) which is
# available at configure time. This shell script will exec the real HsColour
# executable if it can be found. If it can't be found it will give a sensible
# result for a version request (which is enough to fool haddock) and exit with
# an error for anything else.
hscolour-wrapper : debian/hscolour-wrapper
	cp $+ $@
	chmod u+x $@

# Force generation of the wrapper script.
dist-ghc6 : hscolour-wrapper

clean ::
	rm -f hscolour-wrapper

## hscolour 1.17

=== debian/changelog ===
hscolour (1.17-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * Use hscolour.manpages to install man pages instead of *.install.
  * debian/control : Standards version 3.9.0
  
  [ Joachim Breitner ]
  * Remove doc-base file per Haskell policy
  * ghc6 → ghc

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 12:04:52 +0530

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends: debhelper (>= 7),
  cdbs,
- haskell-devscripts (>= 0.7),
- ghc6,
- ghc6-prof
-Build-Depends-Indep: ghc6-doc
-Standards-Version: 3.8.4
+ haskell-devscripts (>= 0.8),
+ ghc,
+ ghc-prof
+Build-Depends-Indep: ghc-doc
+Standards-Version: 3.9.0
 Homepage: http://hackage.haskell.org/package/hscolour
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hscolour
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hscolour
@@ -23,7 +23,7 @@
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
 
-Package: libghc6-hscolour-dev
+Package: libghc-hscolour-dev
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}, drift (>= 2.2.0)
@@ -35,9 +35,9 @@
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
-Package: libghc6-hscolour-prof
+Package: libghc-hscolour-prof
 Architecture: any
 Depends: ${haskell:Depends}, ${misc:Depends}
 Suggests: ${haskell:Suggests}
@@ -49,15 +49,15 @@
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
-Package: libghc6-hscolour-doc
+Package: libghc-hscolour-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Documentation for libghc6-hscolour-dev
+Description: Documentation for libghc-hscolour-dev
  .
  HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,15 @@
 
 DEB_BUILD_DEPENDENCIES = build-arch
 
-# In order to generated colourised HTML for the libghc6-hscolour-doc package
+# In order to generated colourised HTML for the libghc-hscolour-doc package
 # we need a special hack because the colour docs are generated by an executable
 # create by this package and we don't want this package to depend on itself.
 
 pwd := $(shell pwd)
 
-# Modify the GHC6 configure parameters to point to a local version of
+# Modify the GHC configure parameters to point to a local version of
 # HsColour.
-DEB_SETUP_GHC6_CONFIGURE_ARGS += --with-hscolour=$(pwd)/hscolour-wrapper
+DEB_SETUP_GHC_CONFIGURE_ARGS += --with-hscolour=$(pwd)/hscolour-wrapper
 
 # Generate a fake version of the executable (a trivial shell script) which is
 # available at configure time. This shell script will exec the real HsColour
@@ -26,7 +26,7 @@
 	chmod u+x $@
 
 # Force generation of the wrapper script.
-dist-ghc6 : hscolour-wrapper
+dist-ghc : hscolour-wrapper
 
 clean ::
 	rm -f hscolour-wrapper

## hscolour 1.19

=== debian/changelog ===
hscolour (1.19-3build2) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2 ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Aug 2012 13:33:09 +0000

hscolour (1.19-3build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI on armhf.

 -- Ilya Barygin <randomaction@ubuntu.com>  Mon, 09 Jul 2012 22:01:24 +0400

hscolour (1.19-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 19:33:10 +0100

hscolour (1.19-2) unstable; urgency=low

  * Create a /usr/bin/hscolour symlink pointing to /usr/bin/HsColour, for
    discoverability (Closes: #648728) 

 -- Iain Lane <laney@debian.org>  Mon, 14 Nov 2011 15:01:40 +0000

hscolour (1.19-1) unstable; urgency=low

  * New upstream release
  * Use proper Homepage
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 19 Jun 2011 12:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  ghc,
  ghc-prof
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.0
-Homepage: http://hackage.haskell.org/package/hscolour
+Standards-Version: 3.9.2
+Homepage: http://code.haskell.org/~malcolm/hscolour/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hscolour
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hscolour
 
@@ -18,7 +18,6 @@
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: Haskell program to colourise Haskell code
- .
  HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
@@ -29,8 +28,7 @@
 Suggests: ${haskell:Suggests}, drift (>= 2.2.0)
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: GHC6 libraries for colourising Haskell code
- .
+Description: GHC libraries for colourising Haskell code
  HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
@@ -44,7 +42,6 @@
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
 Description: Profiling libraries for colourising Haskell code
- .
  HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.
@@ -58,7 +55,6 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Description: Documentation for libghc-hscolour-dev
- .
  HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
  with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
  codes.

## hscolour 1.20.3

=== debian/changelog ===
hscolour (1.20.3-2) unstable; urgency=low

  * Bump haskell-devscripts dependency, due to new features 
  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:45 +0200

hscolour (1.20.3-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:57:59 +0200

=== debian/control ===
Source: hscolour
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 9),
 cdbs,
 haskell-devscripts (>= 0.8.15),
 ghc,
 ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://code.haskell.org/~malcolm/hscolour/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hscolour
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hscolour

Package: hscolour
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Haskell program to colourise Haskell code
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.

Package: libghc-hscolour-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}, drift (>= 2.2.0)
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: GHC libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Profiling libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for libghc-hscolour-dev${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 # Standard way of building Haskell binary.
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
-
-DEB_BUILD_DEPENDENCIES = build-arch
 
 # In order to generated colourised HTML for the libghc-hscolour-doc package
 # we need a special hack because the colour docs are generated by an executable

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hscolour-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hscolour \
    ([\d\.]*\d)/

## hscolour 1.22

=== debian/changelog ===
hscolour (1.22-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:55 +0200

hscolour (1.22-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 11:55:27 +0200

hscolour (1.20.3-4) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:58 +0100

hscolour (1.20.3-3) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Fix hlibrary.mk interaction (Closes: 753240) 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 Jun 2014 12:47:27 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends: debhelper (>= 9),
  cdbs,
- haskell-devscripts (>= 0.8.15),
+ haskell-devscripts (>= 0.9),
  ghc,
  ghc-prof
 Build-Depends-Indep: ghc-doc

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	chmod u+x $@
 
 # Force generation of the wrapper script.
-dist-ghc : hscolour-wrapper
+configure-ghc-stamp : hscolour-wrapper
 
 clean ::
 	rm -f hscolour-wrapper

## hscolour 1.23

=== debian/changelog ===
hscolour (1.23-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

hscolour (1.23-2) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Fri, 21 Aug 2015 09:14:00 +0200

hscolour (1.23-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:13 +0200

=== debian/control ===
Source: hscolour
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://code.haskell.org/~malcolm/hscolour/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: hscolour
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Haskell program to colourise Haskell code
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.

Package: libghc-hscolour-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
 drift (>= 2.2.0),
Provides: ${haskell:Provides},
Description: GHC libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Profiling libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Documentation for libghc-hscolour-dev${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,3 @@
 
 clean ::
 	rm -f hscolour-wrapper
-

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hscolour/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hscolour 1.24

=== debian/changelog ===
hscolour (1.24-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release
  * Fix arch-all-only building

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 17:21:24 +0200

## hscolour 1.24.1

=== debian/changelog ===
hscolour (1.24.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:19 -0400

hscolour (1.24.1-2) experimental; urgency=medium

  [ Sven Bartscher ]
  * Depend on haskell-devscripts-minimal instead of haskell-devscripts to
    prevent a circular build-dependency.

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 16:15:30 -0400

hscolour (1.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 15:54:49 -0400

=== debian/control ===
Source: hscolour
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts-minimal,
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.8
Homepage: http://code.haskell.org/~malcolm/hscolour/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hscolour
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: hscolour
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Haskell program to colourise Haskell code
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.

Package: libghc-hscolour-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: drift (>= 2.2.0), ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: GHC libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for colourising Haskell code${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

Package: libghc-hscolour-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for libghc-hscolour-dev${haskell:ShortBlurb}
 HsColour currently has five output formats: ANSI terminal codes, HTML 3.2
 with <font> tags, HTML 4.01 with CSS, LaTeX, and mIRC chat client
 codes.
 .
 ${haskell:Blurb}

## hscolour 1.24.2

=== debian/changelog ===
hscolour (1.24.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 17 Dec 2017 10:32:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hscolour
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -10,7 +10,7 @@
  ghc-prof,
  haskell-devscripts-minimal,
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://code.haskell.org/~malcolm/hscolour/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hscolour
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## hscolour 1.24.4

=== debian/changelog ===
hscolour (1.24.4-5build2) oracular; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 May 2024 09:01:40 +0200

hscolour (1.24.4-5build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 13:34:44 +0100

hscolour (1.24.4-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 31 Aug 2023 16:50:53 +0300

hscolour (1.24.4-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Scott Talbert ]
  * Sourceful upload for GHC 9.0 (Closes: #1011873)

 -- Scott Talbert <swt@techie.net>  Fri, 29 Jul 2022 11:59:51 -0400

hscolour (1.24.4-3) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 08 Jun 2020 16:32:21 +0300

hscolour (1.24.4-2) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:09 +0300

hscolour (1.24.4-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 17:43:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts-minimal,
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.1.1
+Standards-Version: 4.6.2
 Homepage: http://code.haskell.org/~malcolm/hscolour/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hscolour
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hscolour
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hscolour]
 
 Package: hscolour
 Architecture: any

## hscolour 1.25

=== debian/changelog ===
hscolour (1.25-2) unstable; urgency=medium

  * Build using dh-haskell
  * Update homepage (Closes: #982934)
  * Sourceful upload for GHC 9.10

 -- Scott Talbert <swt@techie.net>  Sat, 03 Jan 2026 21:05:26 -0500

hscolour (1.25-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 17 Sep 2024 11:19:06 +0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts-minimal,
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.6.2
-Homepage: http://code.haskell.org/~malcolm/hscolour/
+Standards-Version: 4.7.0
+Homepage: https://hackage.haskell.org/package/hscolour
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hscolour
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hscolour]

=== debian/rules ===
#!/usr/bin/make -f

# In order to generated colourised HTML for the libghc-hscolour-doc package
# we need a special hack because the colour docs are generated by an executable
# create by this package and we don't want this package to depend on itself.

pwd := $(shell pwd)

# Modify the GHC configure parameters to point to a local version of
# HsColour.
export DEB_SETUP_GHC_CONFIGURE_ARGS += --with-hscolour=$(pwd)/hscolour-wrapper

# Generate a fake version of the executable (a trivial shell script) which is
# available at configure time. This shell script will exec the real HsColour
# executable if it can be found. If it can't be found it will give a sensible
# result for a version request (which is enough to fool haddock) and exit with
# an error for anything else.
hscolour-wrapper : debian/hscolour-wrapper
	cp $+ $@
	chmod u+x $@

# Force generation of the wrapper script.
execute_before_dh_auto_configure: hscolour-wrapper

%:
	dh $@
